mBlendMode = GUI_Select(
	kBlendMultiplicative,
      "Blend Mode",
      {
         { description="Normal", value=kBlendNormal},
         { description="Additive Alpha", value=kBlendAdditiveAlpha},
         { description="Multiplicative", value=kBlendMultiplicative},
         { description="Subtractive", value=kBlendSubtractive},
         { description="Opaque", value=kBlendOpaque},
      }
);

mTextureName = GUI_PickTexture("testparticle","Particle Texture");

-- ------------------------------------------------------------
-- Define our particle characteristics

-- Set the particle texture
SetTexture(mTextureName);

-- Set the blend mode
SetBlendMode(mBlendMode);

-- LAST, we set the total number of particles in the particle
-- system. This doesn't 'create' the particles, but rather
-- allocates a block of 'dead' particles that can be created
-- below.
SetNumParticles(1);

-- ------------------------------------------------------------
-- Initialization rules.
-- 
-- The following rules define how particles are created.
--
-- Any parameter below in initialization or animation rules that 
-- is a scalar, Color(), or Vec2() can alternaly take a function 
-- that returns the same type--and most functions can take any type
-- and will return that same type. The exception is any function
-- that's expecting a scalar in certain parameter positions.

-- Define dLocus for FluidFX; in the game it's defined in 
-- swarm.cpp as a data source, and it gets the mouse position.
if not dLocus then
   dLocus= Vec2(0,0) ; 
end

-- Pick a position randomly, within a range of values.
-- dLocus is defined in swarm.cpp and added to the random
-- range
pPosition:Init( dLocus);

-- ------------------------------------------------------------
-- Create initial particles (optional)
CreateParticles( 1 );

-- A function to run as we're executing
-- seconds - how many seconds have elapsed
function Update(seconds)
   
end
